Bug 1007734 - blkid shows devices as /dev/block/$MAJOR:$MINOR
Summary: blkid shows devices as /dev/block/$MAJOR:$MINOR
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: util-linux
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: beta
: ---
Assignee: Karel Zak
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
: 1287734 (view as bug list)
Depends On:
Blocks: 782468
TreeView+ depends on / blocked
 
Reported: 2013-09-13 08:53 UTC by Pavel Holica
Modified: 2019-10-10 09:10 UTC (History)
7 users (show)

Fixed In Version: util-linux-2.23.2-32.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 21:24:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2605 normal SHIPPED_LIVE Low: util-linux security, bug fix, and enhancement update 2016-11-03 12:13:26 UTC

Description Pavel Holica 2013-09-13 08:53:36 UTC
Description of problem:
blkid shows devices as /dev/block/$MAJOR:$MINOR.

Version-Release number of selected component (if applicable):
util-linux-2.23.2-4.el7.x86_64
RHEL-7.0-20130912.0 x86_64 Server

How reproducible:
randomly

Steps to Reproduce:
1. On installed system (any partitioning) run blkid

Actual results:
# blkid 
/dev/block/252:2: UUID="wP1zvZ-OBEI-9zpZ-ULoG-esqa-2ug2-4fHmzJ" TYPE="LVM2_member" 
/dev/block/253:1: UUID="7edffcca-af7d-47c8-8cd4-72f2de2f8697" TYPE="xfs" 
/dev/block/252:1: UUID="65242ccc-4c22-41f1-a3d2-5382ac6fe192" TYPE="xfs" 
/dev/block/253:0: UUID="37ed801d-fae8-4632-b2d9-2d83a9d2fcaa" TYPE="swap" 
/dev/sr0: UUID="2013-09-12-05-22-36-00" LABEL="RHEL Server 7.0" TYPE="iso9660" PTTYPE="dos"

Expected results:
This seems to happen only after first boot after installation.

Additional info:

Comment 1 Karel Zak 2013-10-24 08:43:28 UTC
I'm going to clove this report, it seems non-reproducible in normal environment.

Comment 3 Karel Zak 2016-05-25 13:40:15 UTC
*** Bug 1287734 has been marked as a duplicate of this bug. ***

Comment 4 Brian Lane 2016-05-25 22:21:21 UTC
/run is mounted on tmpfs, how is this cache being copied between the installer environment and the first boot?

Wouldn't it be safer if blkid started with a clean cache on each boot? I'm sure that anaconda isn't the only thing using blkid in the initrd (eg. dracut).

Comment 5 Karel Zak 2016-05-26 10:31:03 UTC
Not sure what is asking libblkid for devices by the symlinks, but I have improved libblkid to be more robust and canonicalize the paths to keep the cache without the symlinks.

Upstream commit 924c93d9df118338fd54cd73b4a45ccddc4ac103.

Comment 14 errata-xmlrpc 2016-11-03 21:24:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2605.html


Note You need to log in before you can comment on or make changes to this bug.